Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

[1.4.5/6/7] keepcalm's mods - Events API, BukkitForge - Interdim TPs, Lockette!


keepcalm
 Share

Recommended Posts

Thanks Pokechu22, I got it the actual link is also on the github page but the download link in this thread in the download section doesn't work, you have to get the one from the github page which is strange for me, I'm used to jenkins since I use LogisticPipes and a few mods that I have to download from there since there's no official releases for 1.4.x of Minecraft.

 

It would be great if I could find a list of all the supported plugins that actually work fine with BukkitForge, perhaps I'm blind and there's a link I didn't see, I'm the OP of a private family server and just want to have fun so I already have Essentials there and it works nearly perfect so far for the use I need it for, some commands don't work but its not really important for most of them, I used bukkit in the past because I had a tekkit server last year, but since I got fully legit to support the hard work of modders, I wasn't able to find actual new versions of most mods, they are all outdated on mcpc central when they are ported, they are at least 4-5 versions late than the new one of each mod, quite hard to stay on top with this, now with a default server and bukkitforge I can have the best of all working together.

Link to comment
Share on other sites

  • Replies 223
  • Created
  • Last Reply

Top Posters In This Topic

im casting this error report, posting it here to determine if it is a problem with plugin or something unsupported with bukkitforge

 

 

 

 

2013-02-15 10:36:28 [sEVERE] [bukkitForge] Error occurred while enabling SpongeRestore v1.7 (Is it up to date?)

java.lang.ClassCastException: java.util.ArrayList cannot be cast to java.lang.Character

at wn.a(CraftingManager.java:173)

at cpw.mods.fml.common.registry.GameRegistry.addShapedRecipe(GameRegistry.java:259)

at cpw.mods.fml.common.registry.GameRegistry.addRecipe(GameRegistry.java:254)

at org.bukkit.craftbukkit.CraftServer.addRecipe(CraftServer.java:986)

at pgDev.bukkit.SpongeRestore.SpongeRestore.onEnable(SpongeRestore.java:130)

at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:217)

at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:426)

at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:383)

at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:838)

at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:822)

at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:235)

at keepcalm.mods.bukkit.asm.BukkitStarter.run(BukkitStarter.java:46)

at java.lang.Thread.run(Unknown Source)

 

 

 

 

As for a list of plugins that work, i didnt see any such list. Seems like it is a trial and error thing. Here are a few plugins i am using that run just fine in the console but i havent personally tested in game (still working through all the configs)

 

 

 

2013-02-15 10:36:30 [iNFO] [bukkitForge] Loaded plugins:

2013-02-15 10:36:30 [iNFO] [bukkitForge] bPermissions- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] Towny- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] Vault- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] Questioner- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] RealBanks- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] Jail- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] GeometricMagic- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] MagicSpells- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] MachinaCore- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] Register- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] MachinaFactory- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] SpongeRestore- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] HoverPad- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] MachinaBuilder- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] MachinaPump- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] Essentials- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] Jobs- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] MachinaDrill- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] TownyChat- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] EssentialsProtect- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] EssentialsSpawn- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] MachinaRedstoneBridge- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] EssentialsAntiBuild- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] MagicSpellsShop- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] MachinaPlanter- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] EssentialsChat- Enabled: true

2013-02-15 10:36:30 [iNFO] [bukkitForge] HyperConomy- Enabled: true

2013-02-15 10:36:30 [iNFO] [com.palmergames.bukkit.TownyChat.Chat] [TownyChat] -******* TownyChat enabled *******-

 

 

Link to comment
Share on other sites

Hey keepcalm, so far, 90% of plugins I try work great, and I can find and use alternatives for the rest.

 

The only one giving me problems is multiverse. I dont know if it is user error or not, but creating a new world or using one already created crashes with a null pointer exception on world tick when adding to multiverse.

 

Every single plug-in I've tried has give listed its commands, and given me all or most of the relevant text, but has not actually worked at all (no actual effect on game play).  I'm not sure if there's something else I need to do, if I've lucked into pick a lot of incompatible plugins, gotten an outdated version of BukkitForge, or what.  I just know that none of them work.  So far I've tried LWC, EpicZones, some chunk-based protections, etc., (I haven't had a chance to test NetherBan).  I've all but given up on this -- I wonder if there is anything better out there for Forge / Bukkit compatibility?  Or keep looking for a fix?  Or just give up on Bukkit plugins (or maybe on using mods in SMP)?

 

I'm amazed that several people here seem to have gotten it to work.

 

Im using LWC on my server and its working perfectly, essentials. buycraft, votifier, groupManager, and world edit all work perfectly. the only thing which still needs fixing for me is worldguard and to protect chunks use http://www.minecraftforge.net/forum/index.php/topic,3364.0.html. I dont know if you are experienced with bukkit, java and such, but for me i had to do very little to get this going. This is the ONLY Bukkit/Forge compatability mod for minecraft past 1.2.5 and it works great.

I have had to hack a bit at few plugins to get them to behave, but there are a few functions that just fail outright, no matter how it is implemented. I did manage to hack at multiverse enough to get successful imports, only to cause invalid provider crashes client sides. I guess multiworld support still requires a bit more development. I have been using dev versions of worldguard and bukkitforge, and have not had issues protecting plots, except for overlapping protection bugs. It seems if you have overlapping protection, that region can eventually bug out causing universal permission denied on block changes(even for ops) which requires a purge all all regions to correct the issue. There also appears to be non-member permission inconsistencies, but in my experience, it is ignorance of allow flags, not deny flags.

Link to comment
Share on other sites

Hey guys I had a question. In the early 100 builds, Worldedit (the hack&slash build)would work with the modded blocks, but in the newer 180+ (I'm using 240) builds that functionality is no longer working of me. Anyone else having this issue, or am I just an idiot and don't have the correct build.

Link to comment
Share on other sites

Hey guys I had a question. In the early 100 builds, Worldedit (the hack&slash build)would work with the modded blocks, but in the newer 180+ (I'm using 240) builds that functionality is no longer working of me. Anyone else having this issue, or am I just an idiot and don't have the correct build.

 

I've not had WorldEdit work with mod-added blocks (specifically, the mods in Feed the Beast/Mindcrack 8.1.1) in the last twenty or so BukkitForge builds (and half-dozen or so WorldEdit builds) I've tried. Region selection works fine, movement commands (e.g., /ascend) work fine, region modification commands (e.g., /expand) work fine, but any non-vanilla block ID produces "block name '_number_' not recognized." Region clipboard operations also fail to manipulate any non-vanilla block IDs, which can make accidental pastes impossible to //undo without manual repairs.

 

Basically, WorldEdit 5.50 release and snapshot builds only seem to work on vanilla blocks. Which, on a modded-Forge server, makes WE pretty much useless.

 

Link to comment
Share on other sites

Hi guys !

 

At first I would like to warn you that I'm not a native english speakers, therefore my english might be perfectible.

I'm encountering a sneaky issue with the latest version of BukkitForge (244) and DirWorlf pack. I was used to run both on DirWolf previous update, but yesterday I updated the pack and I get this error when my server start :

 

 

2013-02-23 23:41:57 [sEVERE] Encountered an unexpected exception NullPointerException

java.lang.NullPointerException

at keepcalm.mods.bukkit.nmsforge.DimensionManagerImpl.initDimension(DimensionManagerImpl.java:190)

at net.minecraftforge.common.DimensionManager.initDimension(DimensionManager.java:67)

at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:758)

at codechicken.chunkloader.ChunkLoaderManager.getWorld(ChunkLoaderManager.java:504)

at codechicken.chunkloader.ChunkLoaderManager$ChunkLoaderOrganiser.revive(ChunkLoaderManager.java:328)

at codechicken.chunkloader.ChunkLoaderManager.revivePlayerLoaders(ChunkLoaderManager.java:797)

at codechicken.chunkloader.ChunkLoaderManager.tickEnd(ChunkLoaderManager.java:791)

at codechicken.chunkloader.ChunkLoaderEventHandler.tickEnd(ChunkLoaderEventHandler.java:39)

at cpw.mods.fml.common.SingleIntervalHandler.tickEnd(SingleIntervalHandler.java:22)

at cpw.mods.fml.common.FMLCommonHandler.tickEnd(FMLCommonHandler.java:139)

at cpw.mods.fml.common.FMLCommonHandler.onPostWorldTick(FMLCommonHandler.java:283)

at net.minecraft.server.MinecraftServer.r(MinecraftServer.java:689)

at ho.r(DedicatedServer.java:269)

at net.minecraft.server.MinecraftServer.q(MinecraftServer.java:599)

at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:497)

at fy.run(SourceFile:849)

 

 

Also I can't access to the crash report. It's only happen when I try to use my old world and not when I generate a new one. I hope you can help me !

 

Link to comment
Share on other sites

I for the life of my cannot get a "plugin" to prevent fire/firespread.  I was able to use Fihgus Mods and forgeessentials to prevent it as a "mod".  But so far nothing prevents fire.  With a new forest gen I have one fire torched over 1000x1000 of tree's.  If there's anything you can do to get plugins to work for stopping firespread I might just chip in this time :)

 

Thanks in advance!

Link to comment
Share on other sites

I for the life of my cannot get a "plugin" to prevent fire/firespread.  I was able to use Fihgus Mods and forgeessentials to prevent it as a "mod".  But so far nothing prevents fire.  With a new forest gen I have one fire torched over 1000x1000 of tree's.  If there's anything you can do to get plugins to work for stopping firespread I might just chip in this time :)

 

Thanks in advance!

 

Try Essentials, look in the config for that awesome plugin you can prevent behavior like fire spread, creeper damage and such, I know it worked #1 with my tekkit server last year, I suppose it should work still, or else I'm not 100% sure but perhaps one of the option you can try with the /gamerule command could change that behavior, I just use the mobGriefing false to prevent creeper damages on my server, I tested the Essentials plugin on a test server and found that most of the options seems to work.

Link to comment
Share on other sites

Well like I said firespread doesn't seem to work in any mod, essentials, worldguard or otherwise.  I managed too tame creeper explosions as normal or prevent mob damage all together on players but fire-spread won't stop.

 

Also this is not bukkit, tekkit was a 1.2.5 and used a modified bukkit with forge compiled and ALL plugins worked.  This is not the same thing.  Bukkitforge has to be coded to allow pretty much every plugin to work manually when there is issues.  So i gotta ask if you aren't the OP please don't respond because this is a coding issue, not a neglecting to read instructions issue.

Link to comment
Share on other sites

Hi when i install the Orebfuscator plugin, i get this error and it does not work anymore (i have this Bukkitforge Version installed: BukkitForge-1.4.7-255) and i try to use Orebfuscator 1.8.1, also tried the latest Orebfuscator Version with same error:

 


2013-03-08 03:46:54 [iNFO] [ForgeModLoader] Forge Mod Loader version 4.7.4.520 for Minecraft 1.4.7 loading
2013-03-08 03:46:54 [iNFO] [sTDOUT] Bukkitforge call to getASMTransformer ...
2013-03-08 03:46:54 [iNFO] [sTDOUT] Bukkitforge call to getASMTransformer ...
2013-03-08 03:46:54 [iNFO] [sTDOUT] Adding Accesstransformer map: bukkit_at.cfg
2013-03-08 03:46:54 [iNFO] [ForgeModLoader] Found valid fingerprint for Minecraft Forge. Certificate fingerprint de4cf8a3f3bc15635810044c39240bf96804ea7d
.
.
2013-03-08 03:46:56 [iNFO] [sTDOUT] MinecraftForge v6.6.0.497 Initialized
2013-03-08 03:46:56 [iNFO] [ForgeModLoader] MinecraftForge v6.6.0.497 Initialized
.
.
2013-03-08 03:47:05 [sEVERE] [bukkitForge] Error occurred while enabling Orebfuscator v1.8.1 (Is it up to date?)
java.lang.NoClassDefFoundError: net/minecraft/server/Block
    at com.lishid.orebfuscator.internal.craftbukkit.BlockTransparency.isBlockTransparent(BlockTransparency.java:29)
    at com.lishid.orebfuscator.OrebfuscatorConfig.isBlockTransparent(OrebfuscatorConfig.java:235)
    at com.lishid.orebfuscator.OrebfuscatorConfig.setBlockValues(OrebfuscatorConfig.java:480)
    at com.lishid.orebfuscator.OrebfuscatorConfig.load(OrebfuscatorConfig.java:548)
    at com.lishid.orebfuscator.Orebfuscator.onEnable(Orebfuscator.java:73)
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:217)
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:426)
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:383)
    at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:811)
    at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:795)
    at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:209)
    at keepcalm.mods.bukkit.asm.BukkitStarter.run(BukkitStarter.java:46)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.ClassNotFoundException: net.minecraft.server.Block
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:180)
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:175)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    ... 13 more
.
.
.
2013-03-08 03:47:06 [iNFO] [bukkitForge] Orebfuscator- Enabled: true
.
.
.

 

Anyone knows what to do or what other Anti XRay Plugin will work with Minecraft 1.4.7 SMP?

 

I use my own modpack:

 

1.4.7_Jammy_Furniture_Mod_V4.1.zip

1.4.7_XtraBlocksEE v3.9.7c.zip

BackPackMod.zip

BackTools.zip

BattleTowers.zip

CustomMobSpawner 1.11(2).zip

DamageIndicatorsMod.zip

DefaultFamiliarsMobs.zip

Divine RPG.zip

DrZharks MoCreatures Mod v4.5.1(2).zip

Durability101

ExtendedFamiliarsPack.zip

ExtraBiomesXL.zip

FamiliarsAPI.zip

GolUIUtil.zip

InfernalMobs.zip

Mob Spawn Controls.zip

ModDismemberment.zip

MoreBowsMod.zip

MystCraft.zip

RedPowerCore-2.0pr6.zip

RedPowerDigital-2.0pr6.zip

RedPowerMechanical-2.0pr6.zip

ReisMinimap.zip

RPG Inventory.zip

Ruins Mod.zip

SmartMoving.zip

SwordPedestal.zip

TaleOfKingdoms.zip

CORE-CodeChickenCore.jar

CORE-NotEnoughItems.jar

GuiAPI-0.15.2-1.4.6(2).jar

IDResolver-1.4.6.1.jar

 

Link to comment
Share on other sites

  • 2 weeks later...

Hi, I'd just like to ask about how much progress is being made on support for the Multi-Vese plugin, since i have worlds that I've converted from Tekkit Classic to Tekkit Lite (and are working fine on Tekkit Lite) I'd like to be able to have my multi world setup again.  :)

Link to comment
Share on other sites

idk if your wokring on it already or not, but i was wondering weather this mod is going to be updated to 1.5 or not, as its a very usefull mod, as the bukkit devs dont seem to want to help cpw or any of the forge devs with bukkit support on forge, so this is really really awesome

Link to comment
Share on other sites

  • 1 month later...
  • 1 month later...
  • 2 weeks later...

Anyone an Idea, what WorldEdit/WorldGuard Version I can use for TekkitLite (1.4.7) [bukkitForge: build251] ?

 

Or where I can download a Port of those two plugins?

 

 

Yours

mark332

 

PS: Already searched on google for hours, but the only port I could find was uploaded on bukkitforge.com, which has been reset, so there is nothing left on the page.... :(

 

PSS: Sorry, if my english has mistakes, I'm german ;)

Link to comment
Share on other sites

Would like some kind of multi world support maybe multiverse? can't get it to work

 

Server - minecraftforge-universal 1.5.2 - 7.8.1.737

+Core Mods - Forge     

---BukkitForge 1.5.2 - 301 

---CodeChickenCore 0.8.7.3 - 1.5.2

---NotEnoughItems 1.5.2 - 28

+Mods - Forge

---Builder 0.3.0 - 1.5.2

---Minions 1.5.2

---OreSpawn 1525

---Waila 1.3.4

+Plugins - Bukkit

---CommandBook 2.2 - 1.5.2

---CraftBook 3.6.6 - 1.5.2

---Towny Advanced 1.5.2

---WorldEdit 1.5.2

---WorldGuard 1.5.2

Link to comment
Share on other sites

  • 4 years later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share




×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.